Images
List available operating system images for Droplets:GET /api/v1/images
[
{
"slug": "ubuntu-22-04",
"name": "Ubuntu 22.04 (LTS) x64",
"distribution": "Ubuntu",
"version": "22.04",
"type": "base",
"min_disk_gb": 10
},
{
"slug": "debian-12",
"name": "Debian 12 x64",
"distribution": "Debian",
"version": "12",
"type": "base",
"min_disk_gb": 10
},
{
"slug": "centos-stream-9",
"name": "CentOS Stream 9 x64",
"distribution": "CentOS",
"version": "9",
"type": "base",
"min_disk_gb": 10
}
]
Plans
List available instance size plans:GET /api/v1/plans
[
{
"id": "s-1vcpu-1gb",
"slug": "s-1vcpu-1gb",
"vcpus": 1,
"memory_mb": 1024,
"disk_gb": 25,
"transfer_tb": 1,
"type": "general",
"price_monthly": 6.00
},
{
"id": "s-2vcpu-2gb",
"slug": "s-2vcpu-2gb",
"vcpus": 2,
"memory_mb": 2048,
"disk_gb": 50,
"transfer_tb": 2,
"type": "general",
"price_monthly": 12.00
},
{
"id": "c-2vcpu-4gb",
"slug": "c-2vcpu-4gb",
"vcpus": 2,
"memory_mb": 4096,
"disk_gb": 50,
"transfer_tb": 3,
"type": "cpu-optimized",
"price_monthly": 24.00
}
]
Plan Types
| Type | Prefix | Optimized For |
|---|---|---|
| General Purpose | s- | Balanced workloads |
| CPU-Optimized | c- | Compute-intensive tasks |
| Memory-Optimized | m- | In-memory databases, caching |
Regions
List available deployment regions:GET /api/v1/regions
[
{
"slug": "nyc1",
"name": "New York 1",
"available": true,
"features": ["backups", "ipv6", "storage"]
},
{
"slug": "sfo1",
"name": "San Francisco 1",
"available": true,
"features": ["backups", "ipv6", "storage"]
}
]